package com.bocloud.cmp.model;

import java.util.List;

/**
 * 网络业务bean
 *
 * @author wangyu
 * @version 1.0
 * @since 2017年9月5日
 */
public class NetworkBean {
    private Long networkId;// 网络ID
    private String networkName;// 网络名称
    private String networkUuid;// 网络UUID
    private List<AddressBean> addresses;// 网络下所有子网对应的ip地址
    private Long portId;
    private String portUuid;
    private String fixIp;
    private Long routerId;
    private String floatingIp;

    /**
     *
     */
    public NetworkBean() {
        super();
    }

    /**
     * @param networkId
     * @param networkName
     * @param networkUuid
     */
    public NetworkBean(Long networkId, String networkName, String networkUuid) {
        super();
        this.networkId = networkId;
        this.networkName = networkName;
        this.networkUuid = networkUuid;
    }

    /**
     * @return the networkId
     */
    public Long getNetworkId() {
        return networkId;
    }

    /**
     * @param networkId the networkId to set
     */
    public void setNetworkId(Long networkId) {
        this.networkId = networkId;
    }

    /**
     * @return the networkName
     */
    public String getNetworkName() {
        return networkName;
    }

    /**
     * @param networkName the networkName to set
     */
    public void setNetworkName(String networkName) {
        this.networkName = networkName;
    }

    /**
     * @return the networkUuid
     */
    public String getNetworkUuid() {
        return networkUuid;
    }

    /**
     * @param networkUuid the networkUuid to set
     */
    public void setNetworkUuid(String networkUuid) {
        this.networkUuid = networkUuid;
    }

    /**
     * @return the addresses
     */
    public List<AddressBean> getAddresses() {
        return addresses;
    }

    /**
     * @param addresses the addresses to set
     */
    public void setAddresses(List<AddressBean> addresses) {
        this.addresses = addresses;
    }

    public Long getPortId() {
        return portId;
    }

    public void setPortId(Long portId) {
        this.portId = portId;
    }

    public String getPortUuid() {
        return portUuid;
    }

    public void setPortUuid(String portUuid) {
        this.portUuid = portUuid;
    }

    public String getFixIp() {
        return fixIp;
    }

    public void setFixIp(String fixIp) {
        this.fixIp = fixIp;
    }

    public Long getRouterId() {
        return routerId;
    }

    public void setRouterId(Long routerId) {
        this.routerId = routerId;
    }

	public String getFloatingIp() {
		return floatingIp;
	}

	public void setFloatingIp(String floatingIp) {
		this.floatingIp = floatingIp;
	}
    
}
